function SpacesLoad() {
  document.getElementById('nextButton').addEventListener('click',loadValidatedQuestion);
}

// Loads an validated question when called.
function loadpaceInfo() {
  var xhttp = new XMLHttpRequest();
  xhttp.open("PUT", '/LoadValidatedQuestion', true);
  xhttp.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
  xhttp.onreadystatechange = function() {
    if (xhttp.readyState === 4 && xhttp.status === 200) {
      console.log(xhttp.responseText);
      // Below is the message to output onto the Question Validation page,
      // after it has been approved or rejected by a moderator.
      document.getElementById("quizText").innerHTML = xhttp.responseText;
    } else {
//      console.error(`Status Text: ${xhttp.statusText}.`);
//      console.error(`Ready State: ${xhttp.readyState}.`);
    }
  };
  xhttp.send();
}

// Function to call multiple functions.
function quizLoad() {
  onQuizPageLoad();
  loadValidatedQuestion();
}

function submitAnswer(e) {
  // Removes the standard form processing.
  e.preventDefault();
  e.stopPropagation();
  var quizText = document.getElementById("quizText").textContent;
  var quizAnswer = document.forms["quizForm"]["quizAnswer"].value;
  params = 'quizText='+quizText+'&quizAnswer='+quizAnswer;
  var xhttp = new XMLHttpRequest();
  xhttp.open("POST", '/SubmitAnswer', true);
  xhttp.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
  xhttp.onreadystatechange = function() {
    if (xhttp.readyState === 4 && xhttp.status === 200) {
//      console.log(xhttp.responseText);
      // Below is the message to output onto the Question Validation page,
      // after it has been approved or rejected by a moderator.
      document.getElementById("DEBUGserverMessage").innerHTML = xhttp.responseText;
      loadValidatedQuestion()
    } else {
//      console.error(`Status Text: ${xhttp.statusText}.`);
//      console.error(`Ready State: ${xhttp.readyState}.`);
    }
  };
  xhttp.send(params);
}
